"use client";
import { __require as u } from "./isSymbol.js";
var e, i;
function y() {
  if (i) return e;
  i = 1;
  var n = u();
  function o(r) {
    if (typeof r == "string" || n(r))
      return r;
    var t = r + "";
    return t == "0" && 1 / r == -1 / 0 ? "-0" : t;
  }
  return e = o, e;
}
export {
  y as __require
};
